I still have CS6 running on my older iMac, CC on my new iMac, and I am always going back to CS6, especially for Acrobat, seems the cloud version just can't handle a postscript file.